Table of Contents

Module: dns | Twisted-0.17.4/twisted/names/dns.py
--- | ---

Imported modules |
--- | ---
from cStringIO import StringIO import random import string import struct from twisted.internet import tcp, udp, main from twisted.protocols import dns, protocol from twisted.python import defer, components
Functions |
IPtoBytes
| IPtoBytes

    IPtoBytes ( ip )

Convert IP address into bytes - raises ValueError on errors.

Classes |

DNS |
DNSBoss |
DNSOnTCP |
DNSServerBoss |
DNSServerFactory | A simple DNS server factory.
DNSServerMixin |
IDomain | A DNS domain.
MX |
NS |
ResolveConfResolver |
Resolver |
SentQuery |
SimpleDomain |

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:00 2002 by HappyDoc version 2.0